<?php

/*
	[Discuz!] (C)2001-2006 Comsenz Inc.
	This is NOT a freeware, use is subject to license terms

	$RCSfile: birthdays_daily.inc.php,v $
	$Revision: 1.8.6.3 $
	$Date: 2006/09/27 06:54:52 $
*/

if(!defined('IN_DISCUZ')) {
	exit('Access Denied');
}

if($maxbdays) {
	require_once DISCUZ_ROOT.'./include/cache.func.php';
	updatecache('birthdays');
	updatecache('birthdays_index');
}

if($bdaystatus) {
	$today = gmdate('m-d', $timestamp + $_DCACHE['settings']['timeoffset'] * 3600);
	$query = $db->query("SELECT uid, username, email, bday FROM {$tablepre}members WHERE RIGHT(bday, 5)='$today' ORDER BY bday");

	while($member = $db->fetch_array($query)) {
		sendmail($member['email'], 'birthday_subject', 'birthday_message');
	}
}

?>